import QtQuick
import QtQuick3D
import Quick3DAssets.Gaugelines 1.0
Node {

    id: rootNode
    property real speed: 120

    property bool nightmode: false
    Model {
        id: curve_013
        rotation: Qt.quaternion(0.707107, -0.707107, 0, 0)
        scale.x: 100
        scale.y: 100
        scale.z: 100
        source: "meshes/curve_013.mesh"

        DefaultMaterial {
            id: sVGMat_005_material
            specularAmount: 1
            diffuseColor: "#1d1d1d"
        }
        materials: [
            sVGMat_005_material
        ]
    }

    Gaugelines {
        id: gaugelines
        visible: true
        gaugepos: speed
        night: rootNode.nightmode
    }

}


